// 自定义时间组件
import React, { useState, useEffect, useMemo } from 'react'
import { DatePicker, Input } from 'antd'
import moment from 'moment'
import locale from 'antd/lib/date-picker/locale/zh_CN'

const DateTime = (props) => {

  const { value, onChange, schema } = props

  const { disabled, format, presetValue, placeholder, groupStyle } = schema

  console.log('日期时间', props)

  const valueShow = useMemo(() => {
    // console.log('value+presetValue', value, presetValue)
    return (value || presetValue) ? moment(value || presetValue) : null
  }, [presetValue, value])

  const disabledDate = (current) => {
    if (schema.config === '不超过当前时间') {
      return current && current > moment();
    } else {
      return false
    }
  }

  const dateChange = (date, dateStr) => {
    onChange(dateStr)
  }

  const onOk = (value) => {
    console.log('value', value)
  }

  // console.log('valueShow', valueShow)

  return (
    <DatePicker
      picker={format}
      disabled={disabled}
      placeholder={placeholder}
      value={valueShow}
      onChange={dateChange}
      showNow
      showTime={format === 'dateTime'}
      style={{ width: '100%' }}
      locale={locale}
      onOk={onOk}
    />
  );

};

export default DateTime
