import React, { useMemo } from 'react'
import { TimePicker } from 'antd'
import moment from 'moment'

const Time = (props) => {

  console.log('props', props)

  const { value, onChange, schema, addons } = props
  const { presetValue } = schema

  const valueShow = useMemo(() => {
    return (value || presetValue) ? moment(value || presetValue, 'HH:mm:ss') : null
  }, [presetValue, value])

  const timeChange = (time, timeStr) => {
    onChange(timeStr)
  }

  return (
    <TimePicker style={{ width: '100%' }} value={valueShow} onChange={timeChange} />
  )

}

export default Time